Bug 1284366 - [userinterface_public_501]Can not delete routes from web console
[userinterface_public_501]Can not delete routes from web console
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 02:35 EST by Yanping Zhang
Modified: 2016-05-12 13:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:12:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2015-11-23 02:35:41 EST
Description of problem:
Now there is "Routes" page under "Browse", user could delete resources under "Browse"->"Services", "Browse"->"Pods" and so on, but find no button to delete routes under "Browse"->"Routes".

Version-Release number of selected component (if applicable):
$ openshift version
openshift v1.1-123-g60e7a07
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

How reproducible:
Always

Steps to Reproduce:
1.Create app in project.
$ oc create -f origin/examples/sample-app/application-template-stibuild.json
$ oc new-app ruby-helloworld-sample
2.After build and deployment finish, try to delete resources such as services, pods, is, routes under "Browse" page from web console.
3.

Actual results:
2.Can not find deletion button when try to delete a route under "Browse"->"Routes", and route can not be deleted by deleting related service, either. 

Expected results:
2.Should be able to delete routes from web console.

Additional info:
Comment 1 Samuel Padgett 2015-12-01 13:56:33 EST
https://github.com/openshift/origin/pull/6150
Comment 2 yapei 2015-12-02 21:40:56 EST
Verified on devenv-rhel7_2860,

Delete button is added on route page and routes can be deleted

Note You need to log in before you can comment on or make changes to this bug.